%global pypi_name QtPy

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        1%{?dist}
Summary:        Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets

License:        MIT
URL:            https://github.com/spyder-ide/qtpy
Source0:        https://files.pythonhosted.org/packages/source/Q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        MIT_license.txt
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description

QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets you 
write applications using a single api call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout 
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from 
qtpy instead of PyQt5.

%package -n     python2-%{pypi_name}
Summary:        Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}

QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets you 
write applications using a single api call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout 
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from 
qtpy instead of PyQt5.

%package -n     python3-%{pypi_name}
Summary:        Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}

QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets you 
write applications using a single api call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout 
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from 
qtpy instead of PyQt5.

%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

#copy license text
cp %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%license MIT_license.txt
%{python2_sitelib}/qtpy
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%license MIT_license.txt
%{python3_sitelib}/qtpy
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Aug 11 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.1.2-1
- Initial package.
